Subject: Re: bug#38647: 26.3; image-next-file does not consider archived images

From: Juri Linkov <[email-masked]>
Date: Wed, 05 Aug 2020 02:47:44 +0300

>> All this indicates that instead of using 'directory-files',
>> 'image-next-file' should rely on 'archive-next-line' if the file
>> is opened from an archive, and on 'dired-next-line' otherwise.
>
> `archive-next-line' isn't used in tar mode buffers -- that's the
> problem: There's no unified interface across the different archive
> modes.  (Although perhaps there's just two?  arc-mode and tar-mode?

Yep, there's just two - these twins are going hand in hand,
for example, in image-mode.el in image-toggle-display-image:

			   (not (and (boundp 'archive-superior-buffer)
				     archive-superior-buffer))
			   (not (and (boundp 'tar-superior-buffer)
				     tar-superior-buffer))

>> Also this means that if there is no corresponding dired buffer
>> already visited, then 'image-next-file' should create an internal
>> dired buffer just for the sake of file image navigation.
>
> Hm.  I think that makes sense...  but it would perhaps be a bit
> surprising?

Maybe when not requested, such Dired buffer should be killed afterwards,
or its name should start with a space.